unofficial mirror of notmuch@notmuchmail.org
 help / color / mirror / code / Atom feed
From: David Bremner <david@tethera.net>
To: notmuch@notmuchmail.org
Cc: David Bremner <david@tethera.net>
Subject: [PATCH 5/8] test/path-config: use test_expect_equal_file_nonempty
Date: Mon,  2 Aug 2021 12:09:19 -0300	[thread overview]
Message-ID: <20210802150922.3234616-6-david@tethera.net> (raw)
In-Reply-To: <20210802150922.3234616-1-david@tethera.net>

This is more robust against crashes when the expected output is also
generated by notmuch. In the case where the expected output is
explicit, it seems like overkill.
---
 test/T055-path-config.sh | 11 +++++------
 test/test-lib.sh         |  1 +
 2 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/test/T055-path-config.sh b/test/T055-path-config.sh
index 2061b116..035276c2 100755
--- a/test/T055-path-config.sh
+++ b/test/T055-path-config.sh
@@ -151,13 +151,13 @@ EOF
     notmuch tag -inbox '*'
     notmuch restore < EXPECTED
     notmuch dump > OUTPUT
-    test_expect_equal_file EXPECTED OUTPUT
+    test_expect_equal_file_nonempty EXPECTED OUTPUT
 
     config_subtest "reindex" "$config"
     notmuch search --output=messages '*' > EXPECTED
     notmuch reindex '*'
     notmuch search --output=messages '*' > OUTPUT
-    test_expect_equal_file EXPECTED OUTPUT
+    test_expect_equal_file_nonempty EXPECTED OUTPUT
 
     config_subtest "use existing database" "$config"
     output=$(notmuch new)
@@ -179,7 +179,7 @@ EOF
     config_subtest "Show a raw message" "$config"
     add_message
     notmuch show --format=raw id:$gen_msg_id > OUTPUT
-    test_expect_equal_file $gen_msg_filename OUTPUT
+    test_expect_equal_file_nonempty $gen_msg_filename OUTPUT
     rm -f $gen_msg_filename
 
     config_subtest "reply" "$config"
@@ -208,14 +208,13 @@ EOF
     mkdir -p "$MAIL_DIR"/{cur,new,tmp}
     notmuch insert < "$gen_msg_filename"
     cur_msg_filename=$(notmuch search --output=files "subject:insert-subject")
-    test_expect_equal_file "$cur_msg_filename" "$gen_msg_filename"
-
+    test_expect_equal_file_nonempty "$cur_msg_filename" "$gen_msg_filename"
 
     config_subtest "compact+search" "$config"
     notmuch search --output=messages '*' | sort > EXPECTED
     notmuch compact
     notmuch search --output=messages '*' | sort > OUTPUT
-    test_expect_equal_file EXPECTED OUTPUT
+    test_expect_equal_file_nonempty EXPECTED OUTPUT
 
     config_subtest "upgrade backup" "$config"
     features=$(xapian-metadata get $XAPIAN_PATH features | grep -v "^relative directory paths")
diff --git a/test/test-lib.sh b/test/test-lib.sh
index 4865032d..94f9d605 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -447,6 +447,7 @@ test_expect_equal_file_nonempty () {
     for file in "$1" "$2"; do
 	if [ ! -s "$file" ]; then
 	    test_failure_ "Missing or zero length file: $file"
+	    return $?
 	fi
     done
 
-- 
2.30.2

  parent reply	other threads:[~2021-08-02 15:09 UTC|newest]

Thread overview: 11+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-05-08 20:49 [kisara.moe] notmuch doesn't respect MAILDIR env for database path mohsin kaleem
2021-08-02 15:09 ` look in MAILDIR for database David Bremner
2021-08-02 15:09   ` [PATCH 1/8] test/path-config: define config_subtest David Bremner
2021-08-03 20:26     ` Tomi Ollila
2021-08-02 15:09   ` [PATCH 2/8] test/expect_equal_file: whitespace cleanup David Bremner
2021-08-02 15:09   ` [PATCH 3/8] test: factor out test_diff_file_ David Bremner
2021-08-02 15:09   ` [PATCH 4/8] test: add test_expect_equal_file_nonempty David Bremner
2021-08-02 15:09   ` David Bremner [this message]
2021-08-02 15:09   ` [PATCH 6/8] test: add known broken tests for finding database via MAILDIR David Bremner
2021-08-02 15:09   ` [PATCH 7/8] lib/open: look in MAILDIR for database, as documented David Bremner
2021-08-02 15:09   ` [PATCH 8/8] doc: document database search algorithm David Bremner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://notmuchmail.org/

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210802150922.3234616-6-david@tethera.net \
    --to=david@tethera.net \
    --cc=notmuch@notmuchmail.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://yhetil.org/notmuch.git/

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).